%global _empty_manifest_terminate_build 0
Name:		python-astunparse
Version:	1.6.3
Release:	2
Summary:	An AST unparser for Python
License:	BSD-3-Clause
URL:		https://github.com/simonpercivall/astunparse
Source0:	https://files.pythonhosted.org/packages/f3/af/4182184d3c338792894f34a62672919db7ca008c89abee9b564dd34d8029/astunparse-1.6.3.tar.gz
BuildArch:	noarch

Requires:	python3-wheel
Requires:	python3-six

%description
An AST unparser for Python

%package -n python3-astunparse
Summary:	An AST unparser for Python
Provides:	python-astunparse
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-astunparse
An Ast unparser for Python

%package help
Summary:	Development documents and examples for astunparse
Provides:	python3-astunparse-doc
%description help
An AST unparser for Python

%prep
%autosetup -n astunparse-1.6.3

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-astunparse -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue May 10 2022 houyingchao <houyingchao@h-partners.com> - 1.6.3-2
- License compliance rectification

* Fri Jul 17 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
